#ifndef ARENA_H__
#define ARENA_H__

#include <jni.h>
#include <jvmpi.h>
#include <jmp.h>

struct arena {
    jint arena_id;
    char* arena_name;
};

/** Create a new memory area. */
arena* arena_new (jint arena_id, const char* arena_name);

/** Delete an memory area. */
void arena_free (arena* arena);

/** The hash function for arenas. */
size_t arena_hash_func (void* arena, size_t len);

/** are the two arenas equal? 
 * return 0 if the two arenas are equals, 
 * else return 1 if a1 is bigger, -1 if a1 is smaller.
 */
int arena_cmp_func (void* a1, void* a2);

/** print info about the arena to stdout.
 */
void arena_print (arena* arena);

#endif /* ARENA_H__ */
