#ifndef _FILTER_H
#define FILTER_H

/* The match types */
#define FILTER_MATCH_CLASS     0
#define FILTER_MATCH_PACKAGE   1
#define FILTER_MATCH_RECURSIVE 2
#define FILTER_MATCH_ALL       3

/* Returns true if the given classname is matched by the filter */
int filter_class_name (const char *classname);

/* Opens a dialog to edit the filter options, the parameter is ignored. */
void filter_edit_options (GtkObject *ignored);

/* Set the filter. 
 * @param filtertype one of FILTER_MATCH_*
 * @param filter the string to filter on ("rabbit.proxy").
 */
void filter_set_filter (int filtertype, const char *filter);

#endif /* FILTER_H */
